[packages/rpm-build-tools] configure initial git repo push -u target

glen glen at pld-linux.org
Sat Nov 7 16:28:51 CET 2015


commit d8dbe3005c3ba5e6d8646cb8477d66dc23cdfe59
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Sat Nov 7 17:28:31 2015 +0200

    configure initial git repo push -u target

 builder.sh | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)
---
diff --git a/builder.sh b/builder.sh
index c5bac93..cada619 100755
--- a/builder.sh
+++ b/builder.sh
@@ -918,10 +918,17 @@ create_git_repo() {
 	fi
 	[ -d "$ASSUMED_NAME/.git" ] || NEW_REPO=yes
 	ssh $GIT_PUSH create ${ASSUMED_NAME} || Exit_error err_cvs_add_failed
+	(
+	set -e
 	git init
-	git remote add $REMOTE_PLD ${GIT_SERVER}/${PACKAGES_DIR}/${ASSUMED_NAME}.git && \
-		git remote set-url --push  $REMOTE_PLD ssh://${GIT_PUSH}/${PACKAGES_DIR}/${ASSUMED_NAME} \
-		|| Exit_error err_remote_problem $REMOTE_PLD
+	git remote add $REMOTE_PLD ${GIT_SERVER}/${PACKAGES_DIR}/${ASSUMED_NAME}.git
+	git remote set-url --push $REMOTE_PLD ssh://${GIT_PUSH}/${PACKAGES_DIR}/${ASSUMED_NAME}
+
+	git config --local push.default current
+	git config --local branch.master.remote $REMOTE_PLD
+	git config --local branch.master.merge refs/heads/master
+	)
+	test $? = 0 || Exit_error err_remote_problem $REMOTE_PLD
 }
 
 get_spec() {
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/rpm-build-tools.git/commitdiff/d8dbe3005c3ba5e6d8646cb8477d66dc23cdfe59



More information about the pld-cvs-commit mailing list